AbstractAFPObject.Category (Apache FOP 2.7 API)
Date: 2022-01-12

org.apache.fop.afp.modca

## Interface AbstractAFPObject.Category

- Enclosing class:
    AbstractAFPObject

      public static interface AbstractAFPObject.Category

  structured field category codes

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static byte` | `ACTIVE_ENVIRONMENT_GROUP` Active Environment Group (AEG)
    `static byte` | `BARCODE` Bar Code
    `static byte` | `CODED_FONT` Coded Font
    `static byte` | `COLOR_ATTRIBUTE_TABLE` Color Attribute Table
    `static byte` | `DATA_RESOURCE` Data Resource
    `static byte` | `DATA_SUPRESSION` Data Suppression
    `static byte` | `DOCUMENT` Document
    `static byte` | `DOCUMENT_ENVIRONMENT_GROUP` Document Environment Group (DEG)
    `static byte` | `FORM_MAP` Form Map
    `static byte` | `GRAPHICS` Graphics
    `static byte` | `IM_IMAGE` IM Image
    `static byte` | `IMAGE` Image
    `static byte` | `INDEX` Index
    `static byte` | `MEDIUM` Medium
    `static byte` | `MEDIUM_MAP` Medium Map
    `static byte` | `NAME_RESOURCE` Name Resource
    `static byte` | `NO_OPERATION` No Operation
    `static byte` | `OBJECT_AREA` Object Area
    `static byte` | `OBJECT_CONTAINER` Object Container
    `static byte` | `OBJECT_ENVIRONMENT_GROUP` Object Environment Group (OEG)
    `static byte` | `OVERLAY` Overlay
    `static byte` | `PAGE` Page
    `static byte` | `PAGE_GROUP` Page Group
    `static byte` | `PAGE_OVERLAY` Page Overlay
    `static byte` | `PAGE_SEGMENT` Page Segment
    `static byte` | `PRESENTATION_TEXT` Presentation Text
    `static byte` | `PROCESS_ELEMENT` Process Element
    `static byte` | `RESOURCE_ENVIROMENT_GROUP` Resource Environment Group (REG)
    `static byte` | `RESOURCE_GROUP` Resource Group

- - ### Field Detail

    - #### PAGE_SEGMENT

          static final byte PAGE_SEGMENT

      Page Segment
      See Also:
        Constant Field Values

    - #### OBJECT_AREA

          static final byte OBJECT_AREA

      Object Area
      See Also:
        Constant Field Values

    - #### COLOR_ATTRIBUTE_TABLE

          static final byte COLOR_ATTRIBUTE_TABLE

      Color Attribute Table
      See Also:
        Constant Field Values

    - #### IM_IMAGE

          static final byte IM_IMAGE

      IM Image
      See Also:
        Constant Field Values

    - #### MEDIUM

          static final byte MEDIUM

      Medium
      See Also:
        Constant Field Values

    - #### CODED_FONT

          static final byte CODED_FONT

      Coded Font
      See Also:
        Constant Field Values

    - #### PROCESS_ELEMENT

          static final byte PROCESS_ELEMENT

      Process Element
      See Also:
        Constant Field Values

    - #### OBJECT_CONTAINER

          static final byte OBJECT_CONTAINER

      Object Container
      See Also:
        Constant Field Values

    - #### PRESENTATION_TEXT

          static final byte PRESENTATION_TEXT

      Presentation Text
      See Also:
        Constant Field Values

    - #### INDEX

          static final byte INDEX

      Index
      See Also:
        Constant Field Values

    - #### DOCUMENT

          static final byte DOCUMENT

      Document
      See Also:
        Constant Field Values

    - #### PAGE_GROUP

          static final byte PAGE_GROUP

      Page Group
      See Also:
        Constant Field Values

    - #### PAGE

          static final byte PAGE

      Page
      See Also:
        Constant Field Values

    - #### GRAPHICS

          static final byte GRAPHICS

      Graphics
      See Also:
        Constant Field Values

    - #### DATA_RESOURCE

          static final byte DATA_RESOURCE

      Data Resource
      See Also:
        Constant Field Values

    - #### DOCUMENT_ENVIRONMENT_GROUP

          static final byte DOCUMENT_ENVIRONMENT_GROUP

      Document Environment Group (DEG)
      See Also:
        Constant Field Values

    - #### RESOURCE_GROUP

          static final byte RESOURCE_GROUP

      Resource Group
      See Also:
        Constant Field Values

    - #### OBJECT_ENVIRONMENT_GROUP

          static final byte OBJECT_ENVIRONMENT_GROUP

      Object Environment Group (OEG)
      See Also:
        Constant Field Values

    - #### ACTIVE_ENVIRONMENT_GROUP

          static final byte ACTIVE_ENVIRONMENT_GROUP

      Active Environment Group (AEG)
      See Also:
        Constant Field Values

    - #### MEDIUM_MAP

          static final byte MEDIUM_MAP

      Medium Map
      See Also:
        Constant Field Values

    - #### FORM_MAP

          static final byte FORM_MAP

      Form Map
      See Also:
        Constant Field Values

    - #### NAME_RESOURCE

          static final byte NAME_RESOURCE

      Name Resource
      See Also:
        Constant Field Values

    - #### PAGE_OVERLAY

          static final byte PAGE_OVERLAY

      Page Overlay
      See Also:
        Constant Field Values

    - #### RESOURCE_ENVIROMENT_GROUP

          static final byte RESOURCE_ENVIROMENT_GROUP

      Resource Environment Group (REG)
      See Also:
        Constant Field Values

    - #### OVERLAY

          static final byte OVERLAY

      Overlay
      See Also:
        Constant Field Values

    - #### DATA_SUPRESSION

          static final byte DATA_SUPRESSION

      Data Suppression
      See Also:
        Constant Field Values

    - #### BARCODE

          static final byte BARCODE

      Bar Code
      See Also:
        Constant Field Values

    - #### NO_OPERATION

          static final byte NO_OPERATION

      No Operation
      See Also:
        Constant Field Values

    - #### IMAGE

          static final byte IMAGE

      Image
      See Also:
        Constant Field Values

Copyright 1999-2022 The Apache Software Foundation. All Rights Reserved.